package com.cm.common.exception;

import com.cm.common.exception.base.SystemException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppVersionException
 * @Description: app版本异常
 * @Author: WangGeng
 * @Date: 2019/9/19 5:47 下午
 * @Version: 1.0
 **/
public class AppVersionException extends SystemException {

    public AppVersionException() {
        super();
    }

    public AppVersionException(String message) {
        super(message);
    }

    public AppVersionException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public AppVersionException(String message, Throwable cause) {
        super(message, cause);
    }

    public AppVersionException(Throwable cause) {
        super(cause);
    }
}
